#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySummerPlanGiftRuleCFGData
{
	//天数
	int mID;
	//开放礼包ID
	std::vector<int> mGiftsVaild;
	//页签标题
	std::string mName;
};

class M_ActivitySummerPlanGiftRuleCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanGiftRuleCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanGiftRuleCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivitySummerPlanGiftRuleCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySummerPlanGiftRuleCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySummerPlanGiftRuleCFGData> mMapData;
};
